GetAssetContract
Note
End of support notice: Amazon Managed Blockchain will stop accepting new customers on October 29, 2026. Existing customers can continue using Amazon Managed Blockchain until September 29, 2027. After September 29, 2027 you will no longer be able to access Amazon Managed Blockchain. For more information, see Amazon Managed Blockchain availability change.
Gets the information about a specific contract deployed on the blockchain.
Note
-
The Bitcoin blockchain networks do not support this operation.
-
Metadata is currently only available for some
ERC-20contracts. Metadata will be available for additional contracts in the future.
Request Syntax
POST /get-asset-contract HTTP/1.1
Content-type: application/json
{
"contractIdentifier": {
"contractAddress": "string",
"network": "string"
}
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- contractIdentifier
-
Contains the blockchain address and network information about the contract.
Type: ContractIdentifier object
Required: Yes
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"contractIdentifier": {
"contractAddress": "string",
"network": "string"
},
"deployerAddress": "string",
"metadata": {
"decimals": number,
"name": "string",
"symbol": "string"
},
"tokenStandard": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- contractIdentifier
-
Contains the blockchain address and network information about the contract.
Type: ContractIdentifier object
- deployerAddress
-
The address of the deployer of contract.
Type: String
Pattern:
[-A-Za-z0-9]{13,74} - metadata
-
The metadata of the contract.
Type: ContractMetadata object
- tokenStandard
-
The token standard of the contract requested.
Type: String
Valid Values:
ERC20 | ERC721 | ERC1155
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
The AWS account doesn’t have access to this resource.
- message
-
The container for the exception message.
HTTP Status Code: 403
- InternalServerException
-
The request processing has failed because of an internal error in the service.
- message
-
The container for the exception message.
- retryAfterSeconds
-
Specifies the
retryAfterSecondsvalue.
HTTP Status Code: 500
- ResourceNotFoundException
-
The resource was not found.
- message
-
The container for the exception message.
- resourceId
-
The
resourceIdof the resource that caused the exception. - resourceType
-
The
resourceTypeof the resource that caused the exception.
HTTP Status Code: 404
- ServiceQuotaExceededException
-
The service quota has been exceeded for this resource.
- message
-
The container for the exception message.
- quotaCode
-
The container for the
quotaCode. - resourceId
-
The
resourceIdof the resource that caused the exception. - resourceType
-
The
resourceTypeof the resource that caused the exception. - serviceCode
-
The container for the
serviceCode.
HTTP Status Code: 402
- ThrottlingException
-
The request or operation couldn't be performed because a service is throttling requests. The most common source of throttling errors is when you create resources that exceed your service limit for this resource type. Request a limit increase or delete unused resources, if possible.
- message
-
The container for the exception message.
- quotaCode
-
The container for the
quotaCode. - retryAfterSeconds
-
The container of the
retryAfterSecondsvalue. - serviceCode
-
The container for the
serviceCode.
HTTP Status Code: 429
- ValidationException
-
The resource passed is invalid.
- fieldList
-
The container for the
fieldListof the exception. - message
-
The container for the exception message.
- reason
-
The container for the reason for the exception
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: